using AutoMapper;
using DigitalData.UserManager.Application.DTOs.UserRep;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Application.MappingProfiles
{
    public class UserRepMappingProfile : Profile
    {
        public UserRepMappingProfile()
        {
            CreateMap<UserRep, UserRepCreateDto>();
            CreateMap<UserRep, UserRepReadDto>();
            CreateMap<UserRep, UserRepUpdateDto>();

            CreateMap<UserRepCreateDto, UserRep>();
            CreateMap<UserRepReadDto, UserRep>();
            CreateMap<UserRepUpdateDto, UserRep>();
        }
    }
}